<?php 

$server = "localhost"; 
$username = "root"; 
$password = "opsivir"; 
$database = "prueba";

$con = mysql_connect($server, $username, $password) or die ("No se conecto: " . mysql_error());

 mysql_select_db($database, $con); 

 $user  = mysql_real_escape_string($_GET["user"]);
 $accion  = mysql_real_escape_string($_GET["accion"]);

 $resultados = array();
 //Si recibimos la accion de quitar
 if(strcmp ($accion,"quitar")==0){
 	$sql = mysql_query("UPDATE usuarios SET enMochila = 'No' WHERE nickname = '$user'");
 	$resultados["mensaje"] = "You have been removed from our bagpack";
 }else{
 	$total = mysql_num_rows(mysql_query("SELECT nickname FROM datos_mochila WHERE nickname = '$user'"));
 	//Si tenemos un perfil creado
 	if($total==0){
 		$resultados["mensaje"] = "You can't be added to our bagpack. Go to Profile -> Edit your personal information, before"; 
	}else{
    	$sql = mysql_query("UPDATE usuarios SET enMochila = 'Yes' WHERE nickname = '$user'");
    	$resultados["mensaje"] = "You have been added to our bagpack"; 
	}	
 }
 	  	
 mysql_close($con); 
/*convierte los resultados a formato json*/
$resultadosJson = json_encode($resultados);
 
/*muestra el resultado en un formato que no da problemas de seguridad en browsers */
echo $_GET['jsoncallback'] . '(' . $resultadosJson . ');';
 ?>